/*  efx.h - EFX header
 *  Copyright (C) 1999  Charles <int@linuxcore.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 * $Id: efx.h,v 1.2 1999/12/27 12:36:23 int Exp $
 */


#ifndef __EFX_H
#define __EFX_H

#include <gtk/gtkwidget.h>
#include <glib.h>
#include <gmodule.h>
#include <xmms/plugin.h>
#include <xmms/util.h>
#include <xmms/configfile.h>
#include <pthread.h>

#include "xmms/i18n.h"


// efx.c
void show_about_plugin (EffectPlugin * efx);


// pledit.c
GtkWidget *create_plugins_page ();

void add_clist_to_dlist ();
void add_plugins_to_clist ();

// about.c
void show_about_dialog ();

/* Imported from xmms */

GList *get_effect_list (void);

/*declarations*/

extern GList *installed_efx_list;
extern GList *active_efx_list;

#endif /* __EFX_H */
