/*  about.c - about dialog
 *  Copyright (C) 1999  Charles <int@linuxcore.com>
 *
 * changed for EFXmms
 * (c) 2001 mld <mld@user.sourceforge.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *
 * $Id: about.c,v 1.2 1999/12/27 12:36:23 int Exp $
 */


#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif /* HAVE_CONFIG_H */

#include <gtk/gtk.h>
#include <xmms/util.h>

#include "efx.h"

void show_about_dialog ()
{
	static GtkWidget *window = (GtkWidget *) NULL;

	if (!window)
	{
		window = (GtkWidget *) xmms_show_message ( 
							 _("About EFXmms"),
							 _("EFXmms"
							  "\n- an effects stack plugin for XMMS -"
							  "\nadapted by Michael Doering"
							  "\n\nThis is experimental software."
							  "\nUse at own risk!"
							  "\n\nmostly based on: EFX 0.1"
							  "\nCopyright (C) 1999"
							  "\nCharles <int@linuxcore.com>"
							  "\n\n For bugreports, contributions and suggestions write to:"
							  "\nMichael Doering <mld@users.sourceforge.net>"),
							  _("Ok"), FALSE,
							  (GtkSignalFunc)
							  NULL, NULL);

		gtk_signal_connect (GTK_OBJECT (window), "destroy",
				    GTK_SIGNAL_FUNC (gtk_widget_destroyed),
				    &window);
		gtk_widget_show (window);

	}
	else
		gdk_window_raise (window->window);
}
